> For the complete documentation index, see [llms.txt](https://docs.stryke.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stryke.xyz/developers/apis/clamm-deprecated/trading/purchase.md).

# Purchase

Endpoints pertaining to requesting for quotes for options, viewing user options positions and options purchase history

Base API path: <mark style="color:yellow;">`https://api.stryke.xyz/clamm/purchase`</mark>

### Options Quote

The `/quote` endpoint is designed to return the estimated cost of purchasing an option for a given market This endpoint is useful for users who want to understand the pricing details before making a purchase. It provides both the estimated cost and the relevant token information. *Note: Due to high volatility in certain markets the cost of the options may be slightly stale*

{% openapi src="/files/uiLe2AdTixay9Y0zMePt" path="/clamm/purchase/quote" method="get" %}
[stryke-api-swagger.yaml](https://1713171471-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FtOz5vakeeIFF4xdhXZoK%2Fuploads%2F7vSesYn9AbVPrQsNonoy%2Fstryke-api-swagger.yaml?alt=media\&token=3587d8b1-a932-4855-978d-363671da0ce2)
{% endopenapi %}

### Options Positions

The `/positions` endpoint retrieves information about a user's current options positions of a given market. It provides an overview of the options positions held by a user including details about the type of option, quantity, strike price, expiration, size etc.

{% openapi src="/files/uiLe2AdTixay9Y0zMePt" path="/clamm/purchase/positions" method="get" %}
[stryke-api-swagger.yaml](https://1713171471-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FtOz5vakeeIFF4xdhXZoK%2Fuploads%2F7vSesYn9AbVPrQsNonoy%2Fstryke-api-swagger.yaml?alt=media\&token=3587d8b1-a932-4855-978d-363671da0ce2)
{% endopenapi %}

### Purchase history

The `/history` endpoint retrieves options purchases by a user for a given market.

{% openapi src="/files/uiLe2AdTixay9Y0zMePt" path="/clamm/purchase/history" method="get" %}
[stryke-api-swagger.yaml](https://1713171471-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FtOz5vakeeIFF4xdhXZoK%2Fuploads%2F7vSesYn9AbVPrQsNonoy%2Fstryke-api-swagger.yaml?alt=media\&token=3587d8b1-a932-4855-978d-363671da0ce2)
{% endopenapi %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.stryke.xyz/developers/apis/clamm-deprecated/trading/purchase.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
